twitter test post error: SSL is required

Forums NextScripts API Forums – Google+, Pinterest, LinkedIn, etc.. twitter test post error: SSL is required

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #169795
    peter
    Participant

    Just found out since mid Jan 2014 the twitter auto posting is not working. I clicked the “submit test post to twitter” button again, it shows error below:

    Array ( [pgID] => [isPosted] => 0 [pDate] => 2014-03-18 08:19:09 [Error] => Resp: {“errors”:[{“message”:”SSL is required”,”code”:92}]}| Error: | MSG: Test Post from ….

    I recreated a new application settings ( new API key, secret, access token, token secret..) and still gets the same error when I clicked the “submit test post to twitter” button.

    Please help.

    #170319
    NextScripts.com
    Participant

    Please contact your hosting provider and ask them to turn on “client side SSL” for your site.

    Please note, this is important. This is NOT about complicated “Server side SSL certificates”. This is about client side SSL.

    #171394
    peter
    Participant

    The problem solved after I updated the nextscript plugin. No error shows up for test post and the test post is showing up on the twitter account. But when I publish a wp post, it just doesn’t go to the twitter account, it shows up in google, pinterest etc without problem, it doesn’t shows up on the twitter. Please help.

    #171545
    NextScripts.com
    Participant

    Are you getting any errors?
    Please check your Log/History tab and let me know if you have any errors there.

    #172116
    peter
    Participant

    here is the error message in the login/history tab after I made a post

    [2014-03-22 02:11:26] – [Error] [Twitter – twitter.com/apparelsarong] – -=ERROR=- Array ( [pgID] => [isPosted] => 0 [pDate] => 2014-03-22 09:11:26 [Error] => Resp: {“errors”:[{“code”:186,”message”:”Status is over 140 characters.”}]}| Error: | MSG: post information here post url here ) | PostID: 16540 – post title here |im

    #187142
    Charlie
    Participant

    I asked 1and1 and they told me “client side SSL” is not included in my hosting pack. Is there any alternative solution?

    Thanks

    #187238
    NextScripts.com
    Participant

    Ask them again. It is not a feature that could be included or not. It’s a thing that misconfigured, they MUST fix it.

    #283965
    Palash Borah
    Participant

    Dude, I too get the same issue – code”:186,”message”:”Status is over 140 characters….

    SNAP should able the fix the issue, it is their coding issue.
    However I have done the debug and found that the issue was due to EXCERPT length. Dude, Remove the excerpt or trim it to less than 140 char, it will work.

Viewing 8 posts - 1 through 8 (of 8 total)
  • The topic ‘twitter test post error: SSL is required’ is closed to new replies.